summaryrefslogtreecommitdiff
path: root/util/genbuild_h
diff options
context:
space:
mode:
authorRaul E Rangel <rrangel@chromium.org>2019-07-09 09:52:16 -0600
committerMartin Roth <martinroth@google.com>2019-08-28 18:29:15 +0000
commit4007d7f8c73d2872c6fe74f2b58a673161d6c947 (patch)
tree1045c7d879d3f89439e3c440701c66cd6e496dc6 /util/genbuild_h
parent3beb108a629d133d7f512dbabb905f3d7e23863b (diff)
downloadcoreboot-4007d7f8c73d2872c6fe74f2b58a673161d6c947.tar.xz
Makefile: Pass .xcompile into genbuild_h
I'm moving the .xcompile file into the $(obj) directory so we can leave the source pristine. We need to pass the location of .xcompile into genbuild_h.sh. BUG=b:112267918 TEST=Ran genbuild_h with and without an .xcompile and verified it was passed. Change-Id: I8b3a75b478fad92a0b09246f0a00b0580f8c4aef Signed-off-by: Raul E Rangel <rrangel@chromium.org> Reviewed-on: https://review.coreboot.org/c/coreboot/+/34240 Tested-by: build bot (Jenkins) <no-reply@coreboot.org> Reviewed-by: Martin Roth <martinroth@google.com>
Diffstat (limited to 'util/genbuild_h')
-rwxr-xr-xutil/genbuild_h/genbuild_h.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/util/genbuild_h/genbuild_h.sh b/util/genbuild_h/genbuild_h.sh
index c264b74635..8da68ba445 100755
--- a/util/genbuild_h/genbuild_h.sh
+++ b/util/genbuild_h/genbuild_h.sh
@@ -22,6 +22,13 @@ export LANG=C
export LC_ALL=C
export TZ=UTC0
+XCOMPILE=$1
+
+if [ -z "$XCOMPILE" ] || [ "$1" = "--help" ]; then
+ echo "usage: $0 <xcompile>" >&2
+ exit 1
+fi
+
# $1: format string
get_git_head_data() {
LANG= git log --no-show-signature -1 --format="format:$1" 2>/dev/null || \
@@ -53,7 +60,7 @@ esac
}
IASL=util/crossgcc/xgcc/bin/iasl
-eval $(grep ^IASL:= .xcompile 2>/dev/null | sed s,:=,=,)
+eval $(grep ^IASL:= "$XCOMPILE" 2>/dev/null | sed s,:=,=,)
#Print out the information that goes into build.h
printf "/* build system definitions (autogenerated) */\n"